Bug 89310 - Deleted items show up in index page
Deleted items show up in index page
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
high Severity medium
: ---
: ---
Assigned To: Justin Ross
Jon Orris
:
Depends On:
Blocks: 87722 88926
  Show dependency treegraph
 
Reported: 2003-04-22 11:24 EDT by Jon Orris
Modified: 2007-03-27 00:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-10 11:48:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2003-04-22 11:24:20 EDT
Description of problem:
@30010/RHDB

Unpublished & Deleted items show up in the live site index page. There are no
links, just the names
Comment 1 Justin Ross 2003-04-24 14:43:44 EDT
Just to qualify this ticket a little (maybe): I don't see the deleted items
showing up.  I only see unpublished items sticking around.
Comment 2 Justin Ross 2003-06-03 17:48:32 EDT
I've discovered that this results from not unpublishing the bundle when its last
instance is unpublished.  So, the plan is to propogate the unpublish in that case.
Comment 3 Justin Ross 2003-06-03 18:27:25 EDT
Fixed in perforce:

Change 31978 by justin@justin-spellingbee-acs on 2003/06/03 18:28:31           
                                                                 
                                                                               
                                                                 
               Fixes bz89310.  Bundles were not getting unpublished.  This
change                                                                
               makes bundle unpublishing occur when its last instance is
unpublished.                                                            
                                                                               
                                                                 
Affected files ...                                                             
                                                                 
                                                                               
                                                                 
... //cms/dev/src/com/arsdigita/cms/ContentBundle.java#11 edit                 
                                                                 
... //cms/dev/src/com/arsdigita/cms/ContentItem.java#43 edit
Comment 4 Jon Orris 2003-06-10 08:42:15 EDT
#32188 now gives a CCM Error, saying the data object is missing. 

-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code:
goodeats.boston.redhat.com:8080:724f583b:f5b1bce0d1 -*-*-*-
-*-*-*- Message: Could not retrieve a DataObject with OID =
[com.arsdigita.cms.ContentItem:{id=4045}] -*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,video/x-mng,image/png,image/jpeg,image/gif;q=0.2,*/*;q=0.1
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Accept-Encoding: gzip,deflate,compress;q=0.9
Accept-Language: en-us,en;q=0.5
Connection: close
Cookie: JSESSIONID=a6uziAJrud59;
ad_user_login=9!1149856459141!0AkTd1rs7pci1OSVipyTMA==
Host: goodeats.boston.redhat.com:8080
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030314

-*-*-*- Section: Cookies -*-*-*-
JSESSIONID: a6uziAJrud59 (expires: -1)
ad_user_login: 9!1149856459141!0AkTd1rs7pci1OSVipyTMA== (expires: -1)

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: Stack trace -*-*-*-
com.arsdigita.domain.DataObjectNotFoundException: Could not retrieve a
DataObject with OID = [com.arsdigita.cms.ContentItem:{id=4045}]
	at
com.arsdigita.domain.DomainObjectFactory.newInstance(DomainObjectFactory.java:162)
	at
com.arsdigita.cms.ContentSectionServlet.itemURLCacheGet(ContentSectionServlet.java:319)
	at com.arsdigita.cms.ContentSectionServlet.getItem(ContentSectionServlet.java:223)
	at com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:98)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:119)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:113)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:128)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:104)
	at com.arsdigita.web.BaseServlet.doGet(BaseServlet.java:205)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:126)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:212)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:198)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:130)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:512)


-*-*-*- Section: Servlet attributes -*-*-*-
com.arsdigita.dispatcher.RequestContext:
com.arsdigita.sitenode.SiteNodeRequestContext@382e182d
com.arsdigita.dispatcher.RequestValue:
{com.arsdigita.dispatcher.RequestValue@3eec183d=null}
com.arsdigita.web.BaseApplicationServlet.application_id: 1023
com.arsdigita.web.BaseDispatcher.dispatched: true
com.arsdigita.web.BaseServlet.request_url: /ccm/articles/?g11n.enc=UTF-8
guruErrorReport: 
-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code:
goodeats.boston.redhat.com:8080:724f583b:f5b1bcdf5b -*-*-*-
-*-*-*- Message: Could not retrieve a DataObject with OID =
[com.arsdigita.cms.ContentItem:{id=4045}] -*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,video/x-mng,image/png,image/jpeg,image/gif;q=0.2,*/*;q=0.1
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Accept-Encoding: gzip,deflate,compress;q=0.9
Accept-Language: en-us,en;q=0.5
Connection: close
Cookie: JSESSIONID=a6uziAJrud59;
ad_user_login=9!1149856459141!0AkTd1rs7pci1OSVipyTMA==
Host: goodeats.boston.redhat.com:8080
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030314

-*-*-*- Section: Cookies -*-*-*-
JSESSIONID: a6uziAJrud59 (expires: -1)
ad_user_login: 9!1149856459141!0AkTd1rs7pci1OSVipyTMA== (expires: -1)

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: Stack trace -*-*-*-
com.arsdigita.domain.DataObjectNotFoundException: Could not retrieve a
DataObject with OID = [com.arsdigita.cms.ContentItem:{id=4045}]
	at
com.arsdigita.domain.DomainObjectFactory.newInstance(DomainObjectFactory.java:162)
	at
com.arsdigita.cms.ContentSectionServlet.itemURLCacheGet(ContentSectionServlet.java:319)
	at com.arsdigita.cms.ContentSectionServlet.getItem(ContentSectionServlet.java:223)
	at com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:98)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:119)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:113)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:128)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:104)
	at com.arsdigita.web.BaseServlet.doGet(BaseServlet.java:205)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:126)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:212)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:198)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:130)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.CacheInvocation.service(CacheInvocation.java:135)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:512)


-*-*-*- Section: Servlet attributes -*-*-*-
com.arsdigita.dispatcher.RequestContext:
com.arsdigita.sitenode.SiteNodeRequestContext@382e182d
com.arsdigita.dispatcher.RequestValue:
{com.arsdigita.dispatcher.RequestValue@3eec183d=null}
com.arsdigita.web.BaseApplicationServlet.application_id: 1023
com.arsdigita.web.BaseDispatcher.dispatched: true
com.arsdigita.web.BaseServlet.request_url: /ccm/articles/?g11n.enc=UTF-8

-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /__ccm__/servlet/content-section/
Query string: app-id=1023&g11n.enc=UTF-8
Method: GET
Remote user: null

-*-*-*- Section: System properties -*-*-*-
file.encoding: UTF-8
file.encoding.pkg: sun.io
file.separator: /
invokedviajava: 
java.assistive: ON
java.awt.fonts: 
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.awt.motif.PSPrinterJob
java.class.path:
/home/boston/jorris/dev/lib/classes12.zip:/home/boston/jorris/dev/lib/junit.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/resin.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jdbc2_0-stdext.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jta-spec1_0_1.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jndi.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/dom.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/sax.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jaxp.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jmx.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/webutil.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jdbc-mysql.jar:/opt/IBMJava2-131/lib/tools.jar:/opt/IBMJava2-131/jre/lib/rt.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jsdk23.jar
java.class.version: 46.0
java.compiler: jitc
java.ext.dirs: /opt/IBMJava2-131/jre/lib/ext
java.fullversion: J2RE 1.3.1 IBM build cxia32131-20020410 (JIT enabled: jitc)
java.home: /opt/IBMJava2-131/jre
java.io.tmpdir: /tmp
java.library.path:
/opt/IBMJava2-131/jre/bin:/opt/IBMJava2-131/jre/bin/classic:/opt/apps/oracle/product/9.2.0/lib:/lib:/usr/lib:/usr/local/lib:libexec:/usr/lib
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.3.1
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.3
java.vendor: IBM Corporation
java.vendor.url: http://www.ibm.com/
java.vendor.url.bug: 
java.version: 1.3.1
java.vm.info: J2RE 1.3.1 IBM build cxia32131-20020410 (JIT enabled: jitc)
java.vm.name: Classic VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: IBM Corporation
java.vm.version: 1.3.1
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory: org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory: com.icl.saxon.TransformerFactoryImpl
line.separator: 

os.arch: x86
os.name: Linux
os.version: 2.4.20-18.8
path.separator: :
PreferredXSLTTransformer: SAXON
resin.home: /home/boston/jorris/webserver/resin-2.1.4
sun.boot.class.path:
/opt/IBMJava2-131/jre/lib/rt.jar:/opt/IBMJava2-131/jre/lib/i18n.jar:/opt/IBMJava2-131/jre/classes
sun.boot.library.path: /opt/IBMJava2-131/jre/bin
sun.io.unicode.encoding: UnicodeLittle
user.dir: /home/boston/jorris/webserver/resin-2.1.4
user.home: /home/boston/jorris
user.language: en
user.name: jorris
user.region: US
user.timezone: America/New_York
-*-*-*-*-*- End Error Report -*-*-*-*-*-

guruMeditationCode: goodeats.boston.redhat.com:8080:724f583b:f5b1bcdf5b

-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /ccm/articles/
Query string: g11n.enc=UTF-8
Method: GET
Remote user: null

-*-*-*- Section: System properties -*-*-*-
file.encoding: UTF-8
file.encoding.pkg: sun.io
file.separator: /
invokedviajava: 
java.assistive: ON
java.awt.fonts: 
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.awt.motif.PSPrinterJob
java.class.path:
/home/boston/jorris/dev/lib/classes12.zip:/home/boston/jorris/dev/lib/junit.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/resin.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jdbc2_0-stdext.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jta-spec1_0_1.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jndi.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/dom.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/sax.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jaxp.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jmx.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/webutil.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jdbc-mysql.jar:/opt/IBMJava2-131/lib/tools.jar:/opt/IBMJava2-131/jre/lib/rt.jar:/home/boston/jorris/webserver/resin-2.1.4/lib/jsdk23.jar
java.class.version: 46.0
java.compiler: jitc
java.ext.dirs: /opt/IBMJava2-131/jre/lib/ext
java.fullversion: J2RE 1.3.1 IBM build cxia32131-20020410 (JIT enabled: jitc)
java.home: /opt/IBMJava2-131/jre
java.io.tmpdir: /tmp
java.library.path:
/opt/IBMJava2-131/jre/bin:/opt/IBMJava2-131/jre/bin/classic:/opt/apps/oracle/product/9.2.0/lib:/lib:/usr/lib:/usr/local/lib:libexec:/usr/lib
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.3.1
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.3
java.vendor: IBM Corporation
java.vendor.url: http://www.ibm.com/
java.vendor.url.bug: 
java.version: 1.3.1
java.vm.info: J2RE 1.3.1 IBM build cxia32131-20020410 (JIT enabled: jitc)
java.vm.name: Classic VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: IBM Corporation
java.vm.version: 1.3.1
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory: org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory: com.icl.saxon.TransformerFactoryImpl
line.separator: 

os.arch: x86
os.name: Linux
os.version: 2.4.20-18.8
path.separator: :
PreferredXSLTTransformer: SAXON
resin.home: /home/boston/jorris/webserver/resin-2.1.4
sun.boot.class.path:
/opt/IBMJava2-131/jre/lib/rt.jar:/opt/IBMJava2-131/jre/lib/i18n.jar:/opt/IBMJava2-131/jre/classes
sun.boot.library.path: /opt/IBMJava2-131/jre/bin
sun.io.unicode.encoding: UnicodeLittle
user.dir: /home/boston/jorris/webserver/resin-2.1.4
user.home: /home/boston/jorris
user.language: en
user.name: jorris
user.region: US
user.timezone: America/New_York
-*-*-*-*-*- End Error Report -*-*-*-*-*-
Comment 5 Justin Ross 2003-06-10 10:28:31 EDT
Perforce change 32201 fixes the donfe you saw, Jon.
Comment 6 Jon Orris 2003-06-10 11:48:51 EDT
Fixed

Note You need to log in before you can comment on or make changes to this bug.